Bug 108138 - [PATCH] lang/gnat: gnat uses ICONV, but does not define USE_ICONV
Summary: [PATCH] lang/gnat: gnat uses ICONV, but does not define USE_ICONV
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-20 06:30 UTC by Rong-En Fan
Modified: 2007-01-21 05:04 UTC (History)
1 user (show)

See Also:


Attachments
gnat-2006_1.patch (590 bytes, patch)
2007-01-20 06:30 UTC, Rong-En Fan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rong-En Fan freebsd_committer 2007-01-20 06:30:18 UTC
- gnat uses iconv but does not define it
  Therefore, when building textproc/words, it fails with

===>  Building for words-1.97F
gnatgcc -c -O3 words.adb
/libexec/ld-elf.so.1: Shared object "libiconv.so.3" not found, required by "gnatgcc"
gnatmake: "words.adb" compilation error
*** Error code 4

Stop in /a/ports/textproc/words.

Port maintainer (eischen@vigrid.com) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2007-01-20 06:30:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

Submitter has GNATS access
Comment 2 Edwin Groothuis freebsd_committer 2007-01-20 06:30:53 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 eischen 2007-01-20 14:30:58 UTC
On Sat, 20 Jan 2007, Edwin Groothuis wrote:

> Maintainer of lang/gnat,
>
> Please note that PR ports/108138 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/108138

Yes, go ahead and commit it.  Why does lang/gcc32 not have it
though?  It uses --with-libiconv-prefix=${LOCALBASE} in
CONFIGURE_ARGS.  I also don't know why libffi doesn't get
installed with gcc34 but does for gnat.

-- 
DE
Comment 4 dfilter service freebsd_committer 2007-01-21 05:00:34 UTC
rafan       2007-01-21 04:59:57 UTC

  FreeBSD ports repository

  Modified files:
    lang/gnat            Makefile 
  Log:
  - Define USE_ICONV properly. This fixes textproc/words build, which failed
    with
    /libexec/ld-elf.so.1: Shared object "libiconv.so.3" not found, required by "gnatgcc"
  
  PR:             ports/108138
  Submitted by:   rafan
  Approved by:    Daniel Eischen <eischen at vigrid.com> (maintainer)
  
  Revision  Changes    Path
  1.55      +2 -0      ports/lang/gnat/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Rong-En Fan freebsd_committer 2007-01-21 05:04:02 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!